﻿/**
* 2次元ベジェ曲線分割 破線
* test 3
* @author nutsu
*/

package {
	
	import flash.utils.getTimer;
	import flash.geom.Point;
	
	public class BezjeSegmentTest3 extends BezjeSegmentTest1{
		
		
		/**
		* コンストラクタ
		*/
		public function BezjeSegmentTest3(){
			super();
		}
		
		/**
		*	描画
		*/
		protected override function draw():void{
			
			drawCurve();
			
			var tmp:int = getTimer();
			//-------------------------------
			
			var bezje:Bezje2D = new Bezje2D( new Point(handle_start.x, handle_start.y),
			                                 new Point(handle_end.x, handle_end.y),
			                                 new Point(handle_ctrl.x, handle_ctrl.y));
			
			//分割数
			var sn:Number = 20;
			
			//率差分
			var kd:Number = 1.0/sn;
			
			plots.graphics.clear();
			for( var k:Number=kd; k<1.0 ; k+=kd ){
				
				//長さからt値を得る
				var t:Number = bezje.length2T( bezje.length*k );
				//プロット
				plot( plots.graphics, bezje.f(t) );
			}
			//--------------------------------
			trace( "time", getTimer()-tmp );
		}
	}
	
}

